# Thengem

A light command line wrapper around the [gems](https://github.com/rubygems/gems) gem that lets you easily see versions of gems.

The aim is to help with upgrading legacy Ruby apps by easily allowing you to view gems released on or just before a specified date.

## Installation

```bash
$ gem install thengem
```

## Usage

You can get all of the versions for a gem with:

```bash
$ thengem -g rails
```

The output of this could be a bit long with parallel version trees.

To get just the major versions:

```bash
$ thengem -g rails -m 4
```

... or be more specific:

```bash
$ thengem -g rails -m 4.2
```

Say, you've decided to upgrade a Rails 3 app, to Rails 4.2.0, which was released on 2014-12-20.  And say Devise was a dependency.

To see what version of Devise was out at the same time:

```bash
$ thengem -g devise -d 2014-12-20
```

This will give you the most recently released version of Devise that came before that date along with the list of versions that came out up to six months before it.

## Command line options

short  | long            | description
-------|-----------------|------------------
-g     | --gem_name      | name of the gem
-m     | --major_release | the major release number (e.g. 4 or 4.1)
-d     | --date_string   | get releases from on or before this date to 6 months before it - format: YYYY-MM-DD (e.g. 2014-12-20)

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).