lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require('thengem/version')

Gem::Specification.new do |spec|
  spec.name          = 'thengem'
  spec.version       = Thengem::VERSION
  spec.authors       = ['Elliot Larson']
  spec.email         = ['elliot@onehouse.net']

  spec.summary       = 'Find gem versions given a date'
  spec.description   = 'Helps when upgrading legacy systems by finding ' \
                       'gems for a given date.'
  spec.homepage      = 'https://github.com/elliotlarson/thengem'
  spec.license       = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'bin'
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency('thor')
  spec.add_dependency('gems')
  spec.add_dependency('activesupport')
  spec.add_dependency('tty-table')

  spec.add_development_dependency('bundler', '~> 1.16.a')
  spec.add_development_dependency('rake', '~> 10.0')
  spec.add_development_dependency('rspec', '~> 3.0')
  spec.add_development_dependency('pry')
  spec.add_development_dependency('pry-byebug')
  spec.add_development_dependency('pry-doc')
  spec.add_development_dependency('rubocop')
  spec.add_development_dependency('vcr')
  spec.add_development_dependency('webmock')
end
